%define po_package %{name}

Summary:			The MATE virtual file-system libraries
Name:				mate-vfs
Version:			1.4.0
Release:			12%{?dist}
License:			LGPLv2+ and GPLv2+
Group:				System Environment/Libraries
Source0:			http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz
URL:				http://mate-desktop.org
Requires:		mate-conf mate-common mate-corba
Requires(post):		mate-conf
Requires(pre):		mate-conf
Requires(preun):	mate-conf
Requires:		mate-conf

BuildRequires:		mate-conf-devel
BuildRequires:		bzip2-devel
BuildRequires:		libsmbclient-devel
BuildRequires:		openssl-devel
BuildRequires:		gamin-devel
BuildRequires:		krb5-devel
BuildRequires:		avahi-glib-devel
BuildRequires:		dbus-glib-devel
BuildRequires:		libacl-devel
BuildRequires:		libselinux-devel
BuildRequires:		keyutils-libs-devel
BuildRequires:		mate-mime-data-devel
BuildRequires:		mate-common
BuildRequires:		libxml2-devel

%description
MATE VFS is the MATE virtual file system. It is the foundation of
the Caja file manager. It provides a modular architecture and
ships with several modules that implement support for file systems,
http, ftp, and others. It provides a URI-based API, back end
supporting asynchronous file operations, a MIME type manipulation
library, and other features.

%package devel
Summary: Libraries and include files for developing MATE VFS applications
Group: Development/Libraries
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the necessary development libraries for writing
MATE VFS modules and applications that use the MATE VFS APIs.

%prep
%setup -q -n %{name}-%{version}
NOCONFIGURE=1 ./autogen.sh

%build
export CPPFLAGS="-I/usr/include/cdda"
%configure --enable-daemon --disable-static
iconv --from=ISO-8859-1 --to=UTF-8 AUTHORS > AUTHORS.new && \
touch -r AUTHORS AUTHORS.new && \
mv AUTHORS.new AUTHORS
make %{?_smp_mflags}


%install
export MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=%{buildroot} install
unset MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
find %{buildroot} -name '*.la' -exec rm -rf {} ';'
find %{buildroot} -name '*.a' -exec rm -rf {} ';'
%find_lang %{name}


%pre
if [ "$1" -gt 1 ] ; then
export MATECONF_CONFIG_SOURCE="xml:merged:/etc/mateconf/mateconf.xml.defaults"
        mateconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/mateconf/schemas/*.schemas
        > /dev/null || :
fi

%post
/sbin/ldconfig
update-desktop-database &> /dev/null || :
export MATECONF_CONFIG_SOURCE="xml:merged:/etc/mateconf/mateconf.xml.defaults"
        mateconftool-2 --makefile-install-rule  \
        %{_sysconfdir}/mateconf/schemas/*.schemas       \
        > /dev/null || :

%postun
/sbin/ldconfig
update-desktop-database &> /dev/null || :
export MATECONF_CONFIG_SOURCE="xml:merged:/etc/mateconf/mateconf.xml.defaults"
        mateconftool-2 --makefile-uninstall-rule        \
        %{_sysconfdir}/mateconf/schemas/*.schemas       \
        > /dev/null || :


%files -f %{name}.lang
%doc AUTHORS COPYING COPYING.LIB NEWS README
%dir %{_sysconfdir}/mate-vfs-2.0
%dir %{_sysconfdir}/mate-vfs-2.0/modules
%config(noreplace) %{_sysconfdir}/mate-vfs-2.0/modules/*.conf
%{_bindir}/*
%{_libexecdir}/*
%{_libdir}/*.so.*
%{_libdir}/mate-vfs-2.0/modules
%dir %{_libdir}/mate-vfs-2.0
%config(noreplace) %{_sysconfdir}/mateconf/schemas/*.schemas
%{_datadir}/dbus-1/services/mate-vfs-daemon.service

%files devel
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_libdir}/mate-vfs-2.0/include
%{_includedir}/*
%{_datadir}/gtk-doc/html/mate-vfs-2.0/*
%{_libdir}/mate-vfs-2.0/modules/libsmb.so

%changelog
* Tue Aug 21 2012 Dan Mashal <dan.mashal@fedoraproject.org> - 1.4.0-12
- Syncing the branches from master

* Tue Aug 21 2012 Dan Mashal <dan.mashal@fedoraproject.org> - 1.4.0-11
- Fix build requires as per neg karma in bodhi

* Thu Aug 16 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-10
- add comment to files section

* Tue Aug 07 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-9
- convert authors file to utf8

* Tue Aug 07 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-8
- remove hal bits
- fix rpm scriptlets

* Tue Aug 07 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-7
- add BuildRequires: libxml2-devel
- change patch names to mate
- add isa tags
- remove unnecessaries BuildRequires: intltool gtk-doc

* Thu Jul 26 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-6
- initial build for fedora
- remove unnecessary BuildRequires

* Sun Dec 25 2011 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.1.0-1
- mate-vfs.spec based on gnome-vfs2-2.24.4-6.fc16 spec
